﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.ComponentModel;

namespace XamDataGridNonEditFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class DataItem
    {
        public DataItem(string name, int age, decimal salary)
        {
            _name = name;
            _age = age;
            _salary = salary;
        }
        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private int _age;
        public int Age
        {
            get { return _age; }
            set { _age = value; }
        }
        private decimal _salary;
        public decimal Salary
        {
            get { return _salary; }
            set { _salary = value; }
        }
    }

    public class DataList : BindingList<DataItem>
    {
        public BindingList<DataItem> GetCollection()
        {
            BindingList<DataItem> dataList = new BindingList<DataItem>
            {
                new DataItem("Name1",20,2),
                new DataItem("Name2",2,2000),
                new DataItem("Name3",27,200)
            };
            return dataList;
        }
    }
}
